Просмотр исходного кода

Release scripts: merge from trunk

[SVN r49400]
Beman Dawes 17 лет назад
Родитель
Сommit
0010949bdc

+ 20 - 0
tools/release/build_docs.sh

@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+# Build docs
+
+# Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+
+if [ $# -lt 1 ]
+then
+ echo "invoke:" $0 "directory-name"
+ echo "example:" $0 "posix"
+ exit 1
+fi
+
+echo building $1 docs...
+pushd $1/doc
+bjam --v2 >../../$1-bjam.log
+ls html
+popd
+

+ 20 - 0
tools/release/build_release.sh

@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+# Build release packages
+
+# Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+
+if [ $# -lt 1 ]
+then
+ echo "invoke:" $0 "release-name"
+ echo "example:" $0 "boost_1_35_0_RC3"
+ exit 1
+fi
+
+./load_posix.sh
+./load_windows.sh
+./build_docs.sh posix
+./build_docs.sh windows
+./build_release_packages.sh $1
+

+ 42 - 0
tools/release/build_release_packages.sh

@@ -0,0 +1,42 @@
+#!/usr/bin/env bash
+
+# Build release packages
+
+# Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+
+if [ $# -lt 1 ]
+then
+ echo "invoke:" $0 "release-name"
+ echo "example:" $0 "boost_1_35_0_RC3"
+ exit 1
+fi
+
+echo "preping posix..."
+rm -r posix/bin.v2 2>/dev/null
+rm -r posix/dist 2>/dev/null
+mv posix $1
+rm -f $1.tar.gz 2>/dev/null
+rm -f $1.tar.bz2 2>/dev/null
+echo "creating gz..."
+tar cfz $1.tar.gz $1
+echo "creating bz2..."
+gunzip -c $1.tar.gz | bzip2 >$1.tar.bz2
+echo "cleaning up..."
+mv $1 posix
+
+echo "preping windows..."
+rm -r windows/bin.v2 2>/dev/null
+rm -r windows/dist 2>/dev/null
+mv windows $1
+rm -f $1.zip 2>/dev/null
+rm -f $1.7z 2>/dev/null
+echo "creating zip..."
+zip -r $1.zip $1
+echo "creating 7z..."
+7z a -r $1.7z $1
+echo "cleaning up..."
+mv $1 windows
+
+exit 0
+

+ 10 - 0
tools/release/diff_trunk_release.bat

@@ -0,0 +1,10 @@
+@echo off
+if not %1$==$ goto usage_ok
+echo Usage: diff_trunk_release library-name
+goto done
+
+:usage_ok
+svn diff http://svn.boost.org/svn/boost/branches/release/boost/%1 http://svn.boost.org/svn/boost/trunk/boost/%1
+svn diff http://svn.boost.org/svn/boost/branches/release/libs/%1 http://svn.boost.org/svn/boost/trunk/libs/%1
+
+:done

+ 8 - 2
tools/release/inspect.sh

@@ -1,9 +1,12 @@
-#!/bin/sh
+#!/usr/bin/env bash
 
 # Inspect snapshot
 
 # © Copyright 2008 Beman Dawes
-# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+# Distributed under the Boost Software License, Version 1.0.
+# See http://www.boost.org/LICENSE_1_0.txt
+
+# This script uses ftp, and thus assumes ~/.netrc contains a machine ... entry
 
 pushd posix/tools/inspect/build
 bjam
@@ -14,6 +17,7 @@ dist/bin/inspect >../inspect.html
 popd
 
 # create the ftp script
+echo create ftp script...
 echo "dir" >inspect.ftp
 echo "binary" >>inspect.ftp
 echo "put inspect.html" >>inspect.ftp
@@ -22,4 +26,6 @@ echo "rename inspect.html inspect-snapshot.html" >>inspect.ftp
 echo "dir" >>inspect.ftp
 echo "bye" >>inspect.ftp
 # use cygwin ftp rather than Windows ftp
+echo ftp...
 /usr/bin/ftp -v -i boost.cowic.de <inspect.ftp
+echo inspect.sh complete

+ 10 - 0
tools/release/load_posix.sh

@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+# Load posix directory from branches/release snapshot, using LF line termination
+
+# Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+
+rm -r -f posix 2>/dev/null
+svn export --non-interactive --native-eol LF http://svn.boost.org/svn/boost/branches/release posix
+

+ 10 - 0
tools/release/load_windows.sh

@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+# Load windows directory from branches/release snapshot, using CR/LF line termination
+
+# Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+
+rm -r -f windows 2>/dev/null
+svn export --non-interactive --native-eol CRLF http://svn.boost.org/svn/boost/branches/release windows
+

+ 197 - 0
tools/release/msvc/compare_trees/compare_trees.vcproj

@@ -0,0 +1,197 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="9.00"
+	Name="compare_trees"
+	ProjectGUID="{7E6AD5ED-4168-4613-A342-0217AA82DEC1}"
+	RootNamespace="compare_trees"
+	Keyword="Win32Proj"
+	TargetFrameworkVersion="196613"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="..\..\..\.."
+				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="3"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				DebugInformationFormat="4"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				LinkIncremental="2"
+				AdditionalLibraryDirectories="..\..\..\..\stage\lib"
+				GenerateDebugInformation="true"
+				SubSystem="1"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				EnableIntrinsicFunctions="true"
+				AdditionalIncludeDirectories="..\..\..\.."
+				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE"
+				RuntimeLibrary="2"
+				EnableFunctionLevelLinking="true"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				LinkIncremental="1"
+				AdditionalLibraryDirectories="..\..\..\..\stage\lib"
+				GenerateDebugInformation="true"
+				SubSystem="1"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\compare_trees.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>

+ 20 - 0
tools/release/msvc/msvc.sln

@@ -0,0 +1,20 @@
+
+Microsoft Visual Studio Solution File, Format Version 10.00
+# Visual C++ Express 2008
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "compare_trees", "compare_trees\compare_trees.vcproj", "{7E6AD5ED-4168-4613-A342-0217AA82DEC1}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Win32 = Debug|Win32
+		Release|Win32 = Release|Win32
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{7E6AD5ED-4168-4613-A342-0217AA82DEC1}.Debug|Win32.ActiveCfg = Debug|Win32
+		{7E6AD5ED-4168-4613-A342-0217AA82DEC1}.Debug|Win32.Build.0 = Debug|Win32
+		{7E6AD5ED-4168-4613-A342-0217AA82DEC1}.Release|Win32.ActiveCfg = Release|Win32
+		{7E6AD5ED-4168-4613-A342-0217AA82DEC1}.Release|Win32.Build.0 = Release|Win32
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal

+ 9 - 0
tools/release/snapshot.sh

@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+# © Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0.
+# See http://www.boost.org/LICENSE_1_0.txt
+
+./snapshot_posix.sh
+./snapshot_windows.sh
+./inspect.sh

+ 29 - 8
tools/release/snapshot_posix.sh

@@ -1,34 +1,55 @@
-#!/bin/sh
+#!/usr/bin/env bash
 
 # Build a branches/release snapshot for Posix, using LF line termination
 
-# © Copyright 2008 Beman Dawes
-# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+# © Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0.
+# See http://www.boost.org/LICENSE_1_0.txt
 
+echo "Build a branches/release snapshot for POSIX, using LF line termination..."
+
+echo "Removing old files..."
 rm -r -f posix
+
+echo "Exporting files from subversion..."
 svn export --non-interactive --native-eol LF http://svn.boost.org/svn/boost/branches/release posix
+
+echo "Building docs..."
 pushd posix/doc
-bjam --v2 >../../posix-bjam.log
+bjam-cygwin --v2 --toolset=gcc &>../../posix-bjam.log
 popd
+
+echo "Cleaning up and renaming..."
 rm -r posix/bin.v2
 SNAPSHOT_DATE=`eval date +%Y-%m-%d`
 echo SNAPSHOT_DATE is $SNAPSHOT_DATE
 mv posix boost-posix-$SNAPSHOT_DATE
 rm -f posix.tar.gz
 rm -f posix.tar.bz2
+
+echo "Building .gz file..."
 tar cfz posix.tar.gz boost-posix-$SNAPSHOT_DATE
+echo "Building .bz2 file..."
 gunzip -c posix.tar.gz | bzip2 >posix.tar.bz2
 mv boost-posix-$SNAPSHOT_DATE posix
-# create the ftp script
+
+echo "Creating ftp script..."
 echo "dir" >posix.ftp
 echo "binary" >>posix.ftp
-echo "put posix.tar.gz" >>posix.ftp
-echo "mdelete boost-posix*.gz" >>posix.ftp
-echo "rename posix.tar.gz boost-posix-$SNAPSHOT_DATE.tar.gz" >>posix.ftp
+
+#echo "put posix.tar.gz" >>posix.ftp
+#echo "mdelete boost-posix*.gz" >>posix.ftp
+#echo "rename posix.tar.gz boost-posix-$SNAPSHOT_DATE.tar.gz" >>posix.ftp
+
 echo "put posix.tar.bz2" >>posix.ftp
 echo "mdelete boost-posix*.bz2" >>posix.ftp
 echo "rename posix.tar.bz2 boost-posix-$SNAPSHOT_DATE.tar.bz2" >>posix.ftp
+
 echo "dir" >>posix.ftp
 echo "bye" >>posix.ftp
+
+echo "Running ftp script..."
 # use cygwin ftp rather than Windows ftp
 /usr/bin/ftp -v -i boost.cowic.de <posix.ftp
+
+echo "POSIX snapshot complete!

+ 32 - 12
tools/release/snapshot_windows.sh

@@ -1,41 +1,61 @@
-#!/bin/sh
+#!/usr/bin/env bash
 
 # Build a branches/release snapshot for Windows, using CRLF line termination
 
 # © Copyright 2008 Beman Dawes
-# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+# Distributed under the Boost Software License, Version 1.0.
+# See http://www.boost.org/LICENSE_1_0.txt
 
+# This script uses ftp, and thus assumes ~/.netrc contains a machine ... entry
+
+echo "Build a branches/release snapshot for Windows, using CRLF line termination..."
+
+echo "Removing old files..."
 rm -r -f windows
+
+echo "Exporting files from subversion..."
 svn export --non-interactive --native-eol CRLF http://svn.boost.org/svn/boost/branches/release windows
-pushd windows/doc
-bjam --v2 >../../windows-bjam.log
-popd
+
+#echo "Building documentation..."
+#pushd windows/doc
+#bjam-cygwin --v2 --toolset=gcc &>../../windows-bjam.log
+#popd
+
+echo "Copying docs from posix tree..."
+cp --recursive posix/doc/html windows/doc
+
+echo "Cleaning up and renaming..."
 rm -r windows/bin.v2
 SNAPSHOT_DATE=`eval date +%Y-%m-%d`
 echo SNAPSHOT_DATE is $SNAPSHOT_DATE
 mv windows boost-windows-$SNAPSHOT_DATE
 
-rm -f windows.zip
-zip -r windows.zip boost-windows-$SNAPSHOT_DATE
+#rm -f windows.zip
+#zip -r windows.zip boost-windows-$SNAPSHOT_DATE
 
+echo "Building .7z..."
 rm -f windows.7z
 7z a -r windows.7z boost-windows-$SNAPSHOT_DATE
 
+echo "Reverting name..."
 mv boost-windows-$SNAPSHOT_DATE windows
 
-# create the ftp script
+echo "Creating ftp script..."
 echo "dir" >windows.ftp
 echo "binary" >>windows.ftp
 
-echo "put windows.zip" >>windows.ftp
-echo "mdelete boost-windows*.zip" >>windows.ftp
-echo "rename windows.zip boost-windows-$SNAPSHOT_DATE.zip" >>windows.ftp
+#echo "put windows.zip" >>windows.ftp
+#echo "mdelete boost-windows*.zip" >>windows.ftp
+#echo "rename windows.zip boost-windows-$SNAPSHOT_DATE.zip" >>windows.ftp
 
 echo "put windows.7z" >>windows.ftp
 echo "mdelete boost-windows*.7z" >>windows.ftp
 echo "rename windows.7z boost-windows-$SNAPSHOT_DATE.7z" >>windows.ftp
-
 echo "dir" >>windows.ftp
 echo "bye" >>windows.ftp
+
+echo "Running ftp script..."
 # use cygwin ftp rather than windows ftp
 /usr/bin/ftp -v -i boost.cowic.de <windows.ftp
+
+echo "Windows snapshot complete!

粤ICP备19079148号